Bug 241290 - Isolate TrackBuffer from SourceBufferPrivate
Summary: Isolate TrackBuffer from SourceBufferPrivate
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-06-03 16:10 PDT by Youssef Soliman
Modified: 2022-06-07 16:58 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Youssef Soliman 2022-06-03 16:10:41 PDT
Currently TrackBuffer is just a struct within SourceBufferPrivate, it makes sense to extract TrackBuffer as its own platform agnostic class for use in future media players.
Comment 1 Youssef Soliman 2022-06-03 16:33:22 PDT
Pull request: https://github.com/WebKit/WebKit/pull/1297
Comment 2 Radar WebKit Bug Importer 2022-06-06 13:28:35 PDT
<rdar://problem/94454724>
Comment 3 EWS 2022-06-07 16:58:15 PDT
Committed r295368 (251376@main): <https://commits.webkit.org/251376@main>

Reviewed commits have been landed. Closing PR #1297 and removing active labels.